RT_TBX_URGENT_IF(8)

NAME
rt_tbx_urgent_if - send a message with high priority if possible

SYNOPSIS
#include <rtai_sched.h>

int rt_tbx_urgent_if(TBX *tbx, void *msg, int msg_size);

DESCRIPTION
rt_tbx_urgent_if tries to insert a message msg of msg_size bytes to the typed mailbox tbx. It returns immediately, the caller is never blocked. The message is inserted in the head of the queue so it will be immediately read before the other messages already present in the mailbox.

RETURN VALUES
0 is returned in case of message regularly sent, otherwise msg_size is returned. On failure a negative value is returned as described below.

ERRORS
-EINVAL tbx points to an invalid typed mailbox. -EMSGSIZE msg_size is bigger than the size of the entire mailbox.